summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Landau2015-06-27 18:01:46 +0300
committerDaniel Landau2015-06-27 18:01:46 +0300
commit356d9e557b6328f7952ecc91c83fb5573da247b1 (patch)
treefcbec3c41c1aff25c162f2eacd9b268b09de4875
downloadaur-356d9e557b6328f7952ecc91c83fb5573da247b1.tar.gz
Initial migration from old AUR
-rw-r--r--.SRCINFO42
-rw-r--r--PKGBUILD58
2 files changed, 100 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4fc41a8d1d7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,42 @@
+# Generated by makepkg 4.2.1
+# Sat May 2 08:40:20 UTC 2015
+pkgbase = fdroidserver-git
+ pkgdesc = F-Droid repository management tools
+ pkgver = r2871.c91fca7
+ pkgrel = 3
+ url = https://gitlab.com/fdroid/fdroidserver
+ arch = any
+ license = GPL3
+ makedepends = git
+ makedepends = python2-setuptools
+ makedepends = python2-pillow
+ makedepends = python2-paramiko
+ makedepends = java-environment
+ depends = python2
+ depends = python2-pyasn1
+ depends = python2-pyasn1-modules
+ depends = python2-magic
+ optdepends = android-sdk: Build apps from source
+ optdepends = android-sdk-build-tools: Work with apks in the repository
+ optdepends = android-sdk-platform-tools: Ability to install apps to connected devices
+ optdepends = android-ndk: Build apps that use native code
+ optdepends = java-runtime: Run a repository
+ optdepends = apache-ant: Build apps using Apache Ant
+ optdepends = maven: Build apps using Maven
+ optdepends = gradle: Build apps using Gradle
+ optdepends = android-support-repository: Build apps using Maven or Gradle that use support libraries
+ optdepends = git: Download app sources that use git or svn (via git svn)
+ optdepends = mercurial: Download app sources that use hg
+ optdepends = bzr: Download app sources that use bzr
+ optdepends = python2-pillow: Resize and manage app icons
+ optdepends = python2-paramiko: SSH2 support
+ optdepends = rsync: Transfer repo files to the web server
+ optdepends = vagrant: Buildserver virtual machine support
+ optdepends = virtualbox: Buildserver virtual machine support
+ optdepends = wordpress: Web repository plugin
+ options = !emptydirs
+ source = git+https://gitlab.com/fdroid/fdroidserver.git
+ sha256sums = SKIP
+
+pkgname = fdroidserver-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bed5546ca0f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,58 @@
+# Maintainer Daniel Landau <daniel.landau@iki.fi>
+# Contributor: Prurigro
+# Ported from the package by AlexanderR <alexander r at gmx com>
+
+_pkgname=fdroidserver
+pkgname=${_pkgname}-git
+pkgver=r2871.c91fca7
+pkgrel=3
+pkgdesc="F-Droid repository management tools"
+url="https://gitlab.com/fdroid/$_pkgname"
+license=('GPL3')
+depends=('python2' 'python2-pyasn1' 'python2-pyasn1-modules' 'python2-magic')
+makedepends=('git' 'python2-setuptools' 'python2-pillow' 'python2-paramiko' 'java-environment')
+optdepends=(
+ 'android-sdk: Build apps from source'
+ 'android-sdk-build-tools: Work with apks in the repository'
+ 'android-sdk-platform-tools: Ability to install apps to connected devices'
+ 'android-ndk: Build apps that use native code'
+ 'java-runtime: Run a repository'
+ 'apache-ant: Build apps using Apache Ant'
+ 'maven: Build apps using Maven'
+ 'gradle: Build apps using Gradle'
+ 'android-support-repository: Build apps using Maven or Gradle that use support libraries'
+ 'git: Download app sources that use git or svn (via git svn)'
+ 'mercurial: Download app sources that use hg'
+ 'bzr: Download app sources that use bzr'
+ 'python2-pillow: Resize and manage app icons'
+ 'python2-paramiko: SSH2 support'
+ 'rsync: Transfer repo files to the web server'
+ 'vagrant: Buildserver virtual machine support'
+ 'virtualbox: Buildserver virtual machine support'
+ 'wordpress: Web repository plugin'
+ )
+arch=('any')
+options=(!emptydirs)
+source=("git+https://gitlab.com/fdroid/fdroidserver.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ cd "$srcdir/${_pkgname}"
+
+ python2 setup.py install --root="$pkgdir/" --optimize=1 --install-data="/tmp" || true
+ rm -rf "$pkgdir/tmp"
+
+ mkdir -p "$pkgdir/usr/bin"
+ install "fdroid" "$pkgdir/usr/bin"
+ install "fd-commit" "$pkgdir/usr/bin"
+
+ install -D completion/bash-completion "$pkgdir/usr/share/bash-completion/completions/fdroidserver"
+
+ install -D "examples/config.py" "$pkgdir/usr/share/$_pkgname/config.sample.py"
+ mkdir -p "$pkgdir/opt/android-sdk/tools"
+}